﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Public dados As Map = CreateMap()
	Private Root As B4XView
	Private xui As XUI
	Private et_email As B4XView
	Private et_password As B4XView
	Private pn_remember_option_front As B4XView
	
	Private page_sign_up As page_sign_up 'ignore
	Private page_welcome As page_welcome 'ignore
End Sub

Public Sub Initialize
End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
	B4XPages.GetManager.TransitionAnimationDuration=0
	B4XPages.AddPage("page_sign_up",page_sign_up.Initialize)
	B4XPages.AddPage("page_welcome",page_welcome.Initialize)
	
	Root = Root1
	Root.LoadLayout("page_sign_in")
	
	et_email.TextColor = xui.Color_White
	et_password.TextColor = xui.Color_White
	
	et_email.SetColorAndBorder(xui.Color_Transparent,1dip,xui.Color_White,1000dip)
	et_password.SetColorAndBorder(xui.Color_Transparent,1dip,xui.Color_White,1000dip)
	
	#If b4j
	xui.SetDataFolder("LOGIN_EXAMPLE")
	#End If
	
	If File.Exists(xui.DefaultFolder,"dados.txt") Then 
		dados = File.ReadMap(xui.DefaultFolder,"dados.txt")
	End If
	
	If ( File.Exists(xui.DefaultFolder,"remember.txt") And dados.ContainsKey("email") And dados.ContainsKey("password") ) Then
		et_email.Text = dados.Get("email")
		et_password.Text = dados.Get("password")
		pn_remember_option_front.Visible = True
	End If
	
End Sub

Private Sub lb_sing_in_Click
	If ( dados.ContainsKey("email") And dados.ContainsKey("password") ) Then 
		
		Dim email As String = dados.Get("email")
		Dim password As String = dados.Get("password")
		
		If ( email.Trim.ToLowerCase=et_email.Text.Trim.ToLowerCase ) And ( password.Trim.ToLowerCase=et_password.Text.Trim.ToLowerCase ) Then
			
			remember_fields
			clear_fields_if_not_remember
			B4XPages.ShowPage("page_welcome")
			
		Else
					
			xui.MsgboxAsync("Incorrect email or password",":( ERROR")
						
		End If
		
	Else
		xui.MsgboxAsync("No registered users",":( ERROR")
	End If
End Sub

Private Sub lb_sing_up_Click
	B4XPages.ShowPage("page_sign_up")
End Sub

Private Sub pn_remember_Click
	pn_remember_option_front.SetVisibleAnimated(200,Not(pn_remember_option_front.Visible))
	remember_fields
End Sub

private Sub remember_fields
	If pn_remember_option_front.Visible Then
		File.WriteString(xui.DefaultFolder,"remember.txt",True)
	Else
		File.Delete(xui.DefaultFolder,"remember.txt")
	End If
End Sub

public Sub clear_fields_if_not_remember
	If Not(pn_remember_option_front.Visible) Then
		et_email.Text = ""
		et_password.Text = ""
	End If
End Sub

public Sub load_fields
	If ( dados.ContainsKey("email") And dados.ContainsKey("password") ) Then
		et_email.Text = dados.Get("email")
		et_password.Text = dados.Get("password")
	End If
End Sub

#If B4j
Private Sub pn_remember_MouseClicked (EventData As MouseEvent)
	pn_remember_Click
End Sub
Private Sub lb_sing_in_MouseClicked (EventData As MouseEvent)
	lb_sing_in_Click
End Sub
Private Sub lb_sing_up_MouseClicked (EventData As MouseEvent)
	lb_sing_up_Click
End Sub
#End If

